#ifndef DetectorConstruction_h
#define DetectorConstruction_h 1

#include "G4VUserDetectorConstruction.hh"
#include "G4VPhysicalVolume.hh"
#include "G4LogicalVolume.hh"
#include "G4Box.hh"
#include "G4Sphere.hh"
#include "G4Material.hh"

#include "G4PVPlacement.hh"
#include "G4UserLimits.hh"
#include "G4VisAttributes.hh"

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....

// Class deriving from the virtual G4VUserDetectorConstruction class
class DetectorConstruction : public G4VUserDetectorConstruction
{

public:

  DetectorConstruction();

  ~DetectorConstruction();

  G4VPhysicalVolume* Construct();
                         
private:
   
  G4double           WorldSizeX;
  G4double           WorldSizeY;
  G4double           WorldSizeZ;

  G4VPhysicalVolume* physiWorld;
  G4LogicalVolume*   logicWorld;  
  G4Box*             solidWorld;

  G4VPhysicalVolume* physiTarget;
  G4LogicalVolume*   logicTarget;  
  G4Sphere*          solidTarget;

  G4Material*        defaultMaterial;
  G4Material*        waterMaterial;

  void DefineMaterials();

  G4VPhysicalVolume* ConstructDetector();     
};


#endif


