//
//    ******************************
//    *                            *
//    *    RunAction.hh     *
//    *                            *
//    ******************************
//
// $Id: RunAction.hh,v 1.2 2004/06/18 09:17:49 gunter Exp $
// GEANT4 tag $Name: geant4-06-02 $
//

#ifndef RunAction_h
#define RunAction_h 1

#include "DetectorConstruction.hh"

#include "G4UserRunAction.hh"
#include "globals.hh"
#include <iostream>

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....

class G4Run;

class RunAction : public G4UserRunAction
{
public:
  
  RunAction(DetectorConstruction*);
  ~RunAction();

  void BeginOfRunAction(const G4Run*);
  void EndOfRunAction(const G4Run*);

  // Accessor methods for dose computation
  void AddDoseTarget(G4double dose){ doseTarget += dose;}
  void SetDoseTarget(G4double dose){ doseTarget = dose;}
  G4double GetDoseTarget(){return doseTarget;}

  // Accessor methods for mass computation
  void SetMassTarget(G4double mT){ massTarget = mT;}
  G4double GetMassTarget(){return massTarget;}

private:

  DetectorConstruction* Detector;    
  G4double doseTarget;
  G4double massTarget;

};

#endif













