{
gStyle->SetOptStat(0000);
gStyle->SetOptFit();
gStyle->SetPalette(1);
gROOT->SetStyle("Plain");

FILE * fp1 = fopen("dose.txt","r");
Float_t x,y,z,tel,dose;
Int_t ncols = 0;

c1 = new TCanvas ("c1","",20,20,1200,400);
c1.Divide(3,1);

TH1F *h1  = new TH1F("Absorbed dose distribution",
"Dose distribution in target",100,0.01,0.015);

TH1F *h2  = new TH1F("LET distribution",
"LET at target exit",100,0.,30);

TNtuple *ntuple1 = new TNtuple("ntuple1","file1","x:y:z:tel:dose");

while (1) 
   {
      ncols = fscanf(fp1,"%f %f %f %f %f",&x, &y, &z, &tel, &dose);
      if (ncols < 0) break;
      h1->Fill(dose);
      if (tel>0) h2->Fill(tel);
      ntuple1->Fill(x,y,z,tel,dose);
   }
fclose(fp1);

c1.cd(1);
  h1->Draw();
  h1->GetXaxis()->SetLabelSize(0.025);
  h1->GetYaxis()->SetLabelSize(0.025);
  h1->GetXaxis()->SetTitleSize(0.035);
  h1->GetYaxis()->SetTitleSize(0.035);
  h1->GetXaxis()->SetTitleOffset(1.4);
  h1->GetYaxis()->SetTitleOffset(1.4);
  h1->GetXaxis()->SetTitle("Absorbed dose (Gy)");
  h1->GetYaxis()->SetTitle("Events");
  h1->SetLineColor(2);
  h1->SetFillColor(2);
  h1->Fit("gaus");

c1.cd(2);
  h2->Draw();
  h2->GetXaxis()->SetLabelSize(0.025);
  h2->GetYaxis()->SetLabelSize(0.025);
  h2->GetXaxis()->SetTitleSize(0.035);
  h2->GetYaxis()->SetTitleSize(0.035);
  h2->GetXaxis()->SetTitleOffset(1.4);
  h2->GetYaxis()->SetTitleOffset(1.4);
  h2->GetXaxis()->SetTitle("LET (keV/m)");
  h2->GetYaxis()->SetTitle("Events");
  h2->SetLineColor(3);
  h2->SetFillColor(3);
  h2->Fit("gaus");

c1.cd(3);
  gPad->SetLogz(1);
  ntuple1->Draw("x:y","abs(x)<1&&abs(y)<1","surf3");
  htemp->GetXaxis()->SetLabelSize(0.025);
  htemp->GetYaxis()->SetLabelSize(0.025);
  htemp->GetZaxis()->SetLabelSize(0.025);
  htemp->GetXaxis()->SetTitleSize(0.035);
  htemp->GetYaxis()->SetTitleSize(0.035);
  htemp->GetZaxis()->SetTitleSize(0.035);
  htemp->GetXaxis()->SetTitleOffset(1.4);
  htemp->GetYaxis()->SetTitleOffset(1.4);
  htemp->GetXaxis()->SetTitle("X (m)");
  htemp->GetYaxis()->SetTitle("Y (m)");
  htemp->SetTitle("Beam spot size");
}
