//
//    ******************************
//    *                            *
//    *    RunAction.cc     *
//    *                            *
//    ******************************
//
// $Id: RunAction.cc,v 1.2 2004/06/18 09:18:00 gunter Exp $
// GEANT4 tag $Name: geant4-06-02 $
//

#include "RunAction.hh"
#include "G4Run.hh"

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....

// Specify constructed detector in argument
RunAction::RunAction(DetectorConstruction* det)
:Detector(det)
{
  // Initialize total deposited dose
  doseTarget=0;
  
  // Compute target mass
  G4double radius = 10*1e-6;
  G4double density = 1000;
  massTarget=(4/3)*M_PI*pow(radius,3)*density;
}

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....

RunAction::~RunAction()
{}

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....

void RunAction::BeginOfRunAction(const G4Run* aRun)
{ 
   // Display run number
   G4cout << "---> Run " << (aRun->GetRunID())+1 << " start." << G4endl;
}
 
//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....

void RunAction::EndOfRunAction(const G4Run*)
{
}

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
